#![recursion_limit = "256"]

// 核心 hdlparam
pub mod core;

// 自动补全
pub mod completion;

// 定义跳转
pub mod definition;

// 悬停提示
pub mod hover;

// 诊断
pub mod diagnostics;

// 格式化
pub mod format;

// 基础工具
pub mod utils;

// LSP 服务器
pub mod server;

// 管理所有代码
pub mod sources;

// 自定义发送请求
pub mod request;

// 测试模块
pub mod test;